/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '~@plateg/theme/styles/plateg-variables.less';
@colors:
  blau #1890ff,
  tuerkis #006d75,
  lila #9254de,
  rosa #eb2f96,
  gruen #389e0d,
  orange #d46b08;

.rv-card-context-sub-menu-item {
  min-width: 160px;
  display: flex;
  flex-direction: row;
  align-items: center;
  span {
    margin-left: 10px;
  }
  .square {
    width: 14px;
    height: 14px;
  }
  svg {
    margin-left: auto;
    width: 14px;
    height: 11px;
  }
  .iter(length(@colors));
  .iter(@i) when (@i > 0) {
    .iter(@i - 1);
    @pair: extract(@colors, @i);
    @key: extract(@pair, 1);
    @value: extract(@pair, 2);
    .square-@{key} {
      background-color: @value;
    }
  }
}
.dashboard {
  .table-component {
    #zuletzt-bearbeitet-table {
      .ant-table-content td span {
        white-space: pre-wrap;
      }
    }
  }

  .welcome-meine-rv {
    margin-bottom: 30px;
    .active-dashboard-rv {
      .active-rv-title {
        font-size: 2rem;
        font-weight: 500;
        margin-bottom: 20px;
        display: block;
      }
      .rvs-container {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        row-gap: 30px;
        margin-bottom: 30px;

        .rv-card {
          width: 33.33%;
          padding: 0 30px 0 0;
          min-width: 300px;
          min-height: 150px;
          .rv-card-container {
            padding: 10px 20px;
            background-color: white;
            height: 100%;
            border-left: 3px solid;
            .rv-card-head {
              display: flex;
              flex-direction: row;
              align-items: center;
              margin-bottom: 10px;
              .rv-card-context-menu {
                margin-left: auto;
              }
              .rv-card-title {
                display: inline-flex;
                flex-direction: row;
                align-items: center;
                overflow: hidden;

                a {
                  span {
                    white-space: nowrap;
                    text-overflow: ellipsis;
                    display: block;
                    overflow: hidden;
                  }
                  overflow: hidden;
                  padding: 0;
                  font-size: 1.8rem;
                  font-weight: 500;
                  text-align: left;
                }
                div {
                  width: 22px;
                  height: 20px;
                  margin-right: 10px;
                  svg {
                    transform: translateY(-2px);
                    width: 22px;
                    height: 20px;
                  }
                }
              }
            }
            .rv-card-content {
              font-size: 1.6rem;
              overflow: hidden;
              display: -webkit-box;
              -webkit-box-orient: vertical;
              -webkit-line-clamp: 3;
              white-space: pre-wrap;
              word-wrap: break-word;
            }
          }
        }
        .iter(length(@colors));
        .iter(@i) when (@i > 0) {
          .iter(@i - 1);
          @pair: extract(@colors, @i);
          @key: extract(@pair, 1);
          @value: extract(@pair, 2);
          .rv-card-@{key} {
            .rv-card-container {
              border-left-color: @value;
              .rv-card-head {
                .rv-card-title {
                  svg {
                    path {
                      fill: @value !important;
                    }
                  }
                }
              }
            }
          }
        }
      }
      button.ant-btn-link {
        margin-top: 5px;
        span {
          color: @platfrom-blue1;
          font-size: 1.4rem;
          font-weight: 500;
        }
        &:focus,
        &:hover {
          background-color: black !important;
          span {
            color: white;
          }
        }
      }
    }
    .day-date {
      max-width: 608px;
      border-bottom: 1px solid #c1cbf2;
      padding-bottom: 5px;
      margin-bottom: 10px;
      span {
        font-size: 1.6rem;
        font-weight: normal;
      }
    }
    .greeting-user {
      display: flex;
      flex-direction: row;
      align-items: center;

      .user-avatar {
        display: flex;
        width: 64px;
        height: 64px;
        border-radius: 50%;
        background-color: @platfrom-blue1;
        align-items: center;
        justify-content: center;
        font-size: 2.4rem;
        font-weight: 500;
        color: @platform-btn-primary-color;
      }
      .greeting-message {
        display: flex;
        flex-direction: column;
        gap: 10px;
        margin: 0 0 0 10px;
        span {
          font-size: 3rem;
          font-weight: 500;
        }
      }
    }
    .empty-dashboard-rv {
      margin-top: 70px;
      .dashboard-rv-title {
        font-size: 2rem;
        font-weight: 500;
        margin-bottom: 20px;
        display: block;
      }
      .empty-rv-content {
        background-color: white;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        padding: 30px;
        gap: 20px;
        p {
          text-align: center;
          font-size: 1.6rem;
          margin: initial;
        }

        button.ant-btn-link {
          margin-top: 5px;
          span {
            color: @platfrom-blue1;
            font-size: 1.6rem;
            font-weight: 500;
          }
          &:focus,
          &:hover {
            span {
              color: white;
            }
          }
        }
      }
    }
  }
  .schnellzugriff-row {
    background-color: white;

    .new-row {
      & td:first-child {
        border-left: 3px solid @platfrom-blue1;
      }
      td {
        background-color: #f2f4fd;
      }
    }

    .schnellzugriff {
      margin-bottom: 100px;
      .neuigkeiten-tab-header {
        display: flex;
        column-gap: 5px;
        align-items: center;
        & > .neuigkeiten-number {
          background-color: #0032d9;
          border-radius: 35%;
          color: white;
          min-width: 3.2rem;
          height: 1.8rem;
          display: flex;
          font-size: 1.4rem;
          align-items: center;
          justify-content: center;
        }
      }
      .schnellzugriff-title {
        font-size: 2rem;
        font-weight: 500;
        margin-bottom: 80px;
      }
      .ant-tabs-tabpane {
        padding: 0;
      }
      .ant-tabs-tab:first-child {
        margin-left: 0;
      }
      .standard-tabs {
        * {
          font-size: 1.6rem;
        }
        .dashboard-table-top {
          display: flex;

          & > span:nth-child(2) {
            margin-left: 10px;
            button.ant-btn-text {
              background-color: transparent;
              span {
                color: @platfrom-blue1;
                font-size: 1.6rem;
                font-weight: 500;
              }
              &:focus,
              &:hover {
                background-color: black;
                span {
                  color: white;
                }
              }
            }
          }
        }
        .app-type-label-container {
          background: black;
          width: 64px;
          text-align: center;
          .app-type-label {
            font-size: 1.3rem;
            line-height: 24px;
            letter-spacing: 0.65px;
            color: white;
          }
        }
        .info-text {
          max-width: 590px;
          margin: 0 auto;
          text-align: center;
          font-size: 1.8rem;
        }
        .ant-tabs-content-holder {
          padding-top: 20px;
        }
      }
      .empty-tab-content {
        background-color: white;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        padding: 30px;
        gap: 20px;
        p {
          text-align: center;
          font-size: 1.6rem;
          margin: initial;
        }
        & > p {
          max-width: 466px;
        }
        button.ant-btn-link {
          margin-top: 5px;
          span {
            color: @platfrom-blue1;
            font-size: 1.6rem;
            font-weight: 500;
          }
          &:focus,
          &:hover {
            span {
              color: white;
            }
          }
        }
      }
      .table-component {
        .ant-table {
          .ant-table-content {
            .ant-table-tbody {
              & > tr.ant-table-row {
                &:hover {
                  & > td {
                    background-color: @platform-blue4;
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}

.neuigkeiten-nachricht {
  margin-block-start: 1rem;
  margin-block-end: 1rem;
  margin-inline-start: 0;
  margin-inline-end: 0;
}

@media only screen and (min-width: 200px) {
  .dashboard {
    .welcome-meine-rv {
      .active-dashboard-rv {
        .rvs-container {
          .rv-card {
            width: 100%;
          }
        }
      }
    }
  }
}

@media only screen and (min-width: 1100px) {
  .dashboard {
    .welcome-meine-rv {
      .active-dashboard-rv {
        .rvs-container {
          .rv-card {
            width: 50%;
          }
        }
      }
    }
  }
}

@media only screen and (min-width: 1200px) {
  .dashboard {
    .welcome-meine-rv {
      .active-dashboard-rv {
        .rvs-container {
          .rv-card {
            width: 33.33%;
          }
        }
      }
    }
  }
}
